//
// Computergraphik I
// Prof. Dr. Juergen Doellner
// Sommersemester 2001
// 
// Rahmenprogramm zu Aufgabenzettel 7
//

#ifndef CG_MULTIVIEW_H
#define CG_MULTIVIEW_H

#include "cgapplication.h"

class CGMultiview : public CGApplication {
public:
    CGMultiview();
    virtual ~CGMultiview();

    // Ueberschreibe alle diese Ereignisse:
    virtual void onInit();
    virtual void onDraw();        
    virtual void onIdle();
	virtual void onDrag(double dx, double dy);
    virtual void onKey(unsigned char key);    
    virtual void onSize(unsigned int newWidth, unsigned int newHeight);

    // value Methode
    unsigned char value(int x, int z) const;
    
private:             
    void drawScene();

    int width_;
    int height_;
    double mainzoom_;
	double zoomxy_;
	double zoomxz_;
	double zoomyz_;
    bool mainfilled_;
	bool childfilled_;
    bool run_;    
	double rotate_;
	double rotate2_;
};

#endif // CG_HeightField_H

